<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: testing::gmock_nice_strict_test::MockBar Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classtesting_1_1gmock__nice__strict__test_1_1MockBar.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">testing::gmock_nice_strict_test::MockBar Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:abd4e7936dc389201ce608257f7a02584"><td class="memItemLeft" align="right" valign="top"><a id="abd4e7936dc389201ce608257f7a02584"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MockBar</b> (const std::string &amp;s)</td></tr>
<tr class="separator:abd4e7936dc389201ce608257f7a02584"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad6b73066fdcdd71ac1add73ef56b53ef"><td class="memItemLeft" align="right" valign="top"><a id="ad6b73066fdcdd71ac1add73ef56b53ef"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MockBar</b> (char a1, char a2, std::string a3, std::string a4, int a5, int a6, const std::string &amp;a7, const std::string &amp;a8, bool a9, bool a10)</td></tr>
<tr class="separator:ad6b73066fdcdd71ac1add73ef56b53ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc0fb56c042e95e1a459bb007e813169"><td class="memItemLeft" align="right" valign="top"><a id="adc0fb56c042e95e1a459bb007e813169"></a>
const std::string &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>str</b> () const</td></tr>
<tr class="separator:adc0fb56c042e95e1a459bb007e813169"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9aad688c2b1dc6b529b7c499e49e3a70"><td class="memItemLeft" align="right" valign="top"><a id="a9aad688c2b1dc6b529b7c499e49e3a70"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD0</b> (This, int())</td></tr>
<tr class="separator:a9aad688c2b1dc6b529b7c499e49e3a70"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa41d45dd7066f014f755f152ec16a73"><td class="memItemLeft" align="right" valign="top"><a id="afa41d45dd7066f014f755f152ec16a73"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD2</b> (That, std::string(int, bool))</td></tr>
<tr class="separator:afa41d45dd7066f014f755f152ec16a73"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>gmock-nice-strict_test.cc</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>testing</b></li><li class="navelem"><b>gmock_nice_strict_test</b></li><li class="navelem"><a class="el" href="classtesting_1_1gmock__nice__strict__test_1_1MockBar.html">MockBar</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
